<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="ligne">
				<td> <xsl:number /></td>
				<xsl:for-each select="transition">
					<td>
						<xsl:for-each select="transitionElementaire">
							<xsl:value-of select="etat" /><i>
							<xsl:for-each select="action">
								, <xsl:value-of select="." />
							</xsl:for-each></i>
						<hr />
					</xsl:for-each>
				</td>
				</xsl:for-each>
</xsl:template>
<xsl:template match="/">
<html>
	<body>
	<h2>Une grammaire pour ActiveTutor : <xsl:value-of select="grammaireActiveTutor/nomGrammaire"/><br /></h2>
	<h3>Dans cette grammaire, les tabulations 
		<xsl:if test="grammaireActiveTutor/nomGrammaire/@ignoreTabs='true'">ne sont pas</xsl:if> 
		<xsl:if test="grammaireActiveTutor/nomGrammaire/@ignoreTabs='false'">sont</xsl:if> prises en compte</h3>
	<xsl:for-each select="grammaireActiveTutor/automate">
	<table border="2"  bgcolor="lightblue">
			<tr>
				<th>Automate : <br /><xsl:value-of select="nom" /></th>
				<xsl:for-each select="colonnes/colonne">
					<th><xsl:value-of select="." /></th>
				</xsl:for-each>
			</tr>
			<xsl:for-each select="ligne">
			<xsl:if test="@terminal='true' ">
				<tr bgcolor="pink">
				<xsl:apply-templates select="."/>
				</tr>
			</xsl:if>
			<xsl:if test="@terminal='false' ">
				<tr>
				<xsl:apply-templates select="."/>
				</tr>
			</xsl:if>
			</xsl:for-each>
	</table>
	<b><i>
	<xsl:for-each select="annotations/annotation">
		<xsl:value-of select="." />
		<br />
	</xsl:for-each>
	</i></b>
	<hr></hr>
	</xsl:for-each>
	<h2>Les mots rservs du langage...</h2>
	<table border="2" align="center">
		<tr>
			<th>prsentation</th>
			<th>token</th>
			<th>Ecritures acceptes</th>
		</tr>
		<xsl:for-each select="grammaireActiveTutor/motsClefs/token">
		<tr>
			<td><xsl:value-of select="apparence" /></td>
			<td><xsl:value-of select="symbole" /></td>
			<xsl:for-each select="motClef">
				<td><xsl:value-of select="." /></td>
			</xsl:for-each>
		</tr>
		</xsl:for-each>
	</table>	
	</body>
</html>
</xsl:template>
</xsl:stylesheet>
